# tests are enabled by default
%bcond_without  tests

%global         srcname     portalocker
%global         forgeurl    https://github.com/WoLpH/portalocker
Version:        2.4.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Library to provide an easy API to file locking

License:        Python
URL:            %forgeurl
Source:         %forgesource

# NOTE(mhayden): Upstream has pytest coverage enabled and it requires 100% coverage to
# pass. The only problem is that upstream doesn't have 100% test coverage yet.
Patch0:         disable-pytest-coverage.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pygments)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(redis)
%endif

%global _description %{expand:
%{summary}}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files portalocker


%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
%autochangelog
